Subject: help- TICKS

From: "Catherine F. Montijo" <[email-masked]>
Date: Sun, 10 Aug 97 08:07:15 PDT

Help!  We live SE AZ and have recently been inundated with ticks at our
house.  On dogs, in house, in grass.  We've been flea/tick spraying dogs
about every 2 days, yesterday "bombed" the house with foggers and put in
carpet powder and sprayed all exterior bottom corner with insecticide. 
Plan on continuing to spray dogs and re-bomb/spray in 2 weeks....then again
in another 2 weeks.  Anybody have suggestions on alternative plan -
possibly more organically friendly?   Any products known to hold up in rain
on outside areas?  (It's our rainy season & we got rain a couple hours
after dirt/exterior was sprayed.)  Thanks!